import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Maus extends Actor
{
    private int pommesGefressen = 0;
    
    public void act() 
    {
        this.getWorld().showText("Pommes gefressen: " + pommesGefressen, 400, 50);
        this.checkKeys();
        this.checkCollisionWithPommes();
    }  
    
    public void checkKeys()
    {
        // Objekt in die gewünschte Richtung bewegen und passendes Bild anzeigen:
        if(Greenfoot.isKeyDown("a"))
        {
            this.moveLeft();
        }

        if(Greenfoot.isKeyDown("d"))
        {
            this.moveRight();
        }

        if(Greenfoot.isKeyDown("w"))
        {
            this.moveUp();
        }  

        if(Greenfoot.isKeyDown("s"))
        {
            this.moveDown();
        }
    } 
    
    public void moveLeft()
    {
        this.setLocation(getX() - 5, getY());
    }
    
    public void moveRight()
    {
        this.setLocation(getX() + 5, getY());
    }

    public void moveUp()
    {
        this.setLocation(this.getX() , this.getY() - 5); 
    }
    
    public void moveDown()
    {
        this.setLocation(this.getX() , this.getY() + 5); 
    }
    
     public void checkCollisionWithPommes()
    {     
       Pommes myPommes;
       myPommes = (Pommes)this.getOneIntersectingObject(Pommes.class);
       
       if(myPommes != null)
       {
           pommesGefressen = pommesGefressen + myPommes.getAnzahlPommesInBox();
           myPommes.setAnzahlPommesInBox(0);
       }
    }
    
    public int getPommesGefressen()
    {
       return pommesGefressen;
    }
    
    public void setPommesGefressen(int pPommesGefressen)
    {
        pommesGefressen = pPommesGefressen;
    }
}